Version 4.0.26.22 (latest)

### Update Golden Query

Updates a golden query.

## Request

PATCH /golden_queries/{golden_query_id} Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... golden_query_id integer Golden Query ID body HTTP Body Expand HTTP Body definition... body [GoldenQuery](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/GoldenQuery) Golden Query Expand GoldenQuery definition... can object Operations the current user is able to perform on this object id integer Unique identifier for the golden question query_id integer ID of the associated Looker Query resolved from the answer questions string\[\] answer string The Explore URL representing the answer to the question is_active boolean Whether this golden question should be utilized by the agent created_by_user_id integer ID of the user who created the question last_updated_by_user_id integer ID of the user who last updated the question created_at string Time when the question was created last_updated_at string Time when the question was last updated explore string The explore name of the golden query model string The LookML model name of the golden query fields string\[\] filters object Filters of the associated Looker Query sorts string\[\] limit string Limit of the associated Looker Query client_id string Client ID of the associated Looker Query pivots string\[\] dynamic_fields string Dynamic fields of the associated Looker Query

## Response

### 200: Golden Query

Datatype Description (object) [GoldenQuery](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/GoldenQuery) can object Operations the current user is able to perform on this object id integer Unique identifier for the golden question query_id integer ID of the associated Looker Query resolved from the answer questions string\[\] answer string The Explore URL representing the answer to the question is_active boolean Whether this golden question should be utilized by the agent created_by_user_id integer ID of the user who created the question last_updated_by_user_id integer ID of the user who last updated the question created_at string Time when the question was created last_updated_at string Time when the question was last updated explore string The explore name of the golden query model string The LookML model name of the golden query fields string\[\] filters object Filters of the associated Looker Query sorts string\[\] limit string Limit of the associated Looker Query client_id string Client ID of the associated Looker Query pivots string\[\] dynamic_fields string Dynamic fields of the associated Looker Query

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 422: Validation Error

Datatype Description (object) [ValidationError](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationError) message string Error details errors [ValidationErrorDetail](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ValidationErrorDetail)\[\] Expand ValidationErrorDetail definition... field string Field with error code string Error code message string Error info message documentation_url string Documentation link documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link